javax.faces.view.facelets

## Class CompositeFaceletHandler

- java.lang.Object
- - javax.faces.view.facelets.CompositeFaceletHandler

- All Implemented Interfaces:
    FaceletHandler

      public final class CompositeFaceletHandler
      extends Object
      implements FaceletHandler

  A FaceletHandler that is derived of 1 or more, inner FaceletHandlers. This class would be found if the next FaceletHandler is structually, a body with multiple child elements as defined in XML. This class enables the Facelet runtime to traverse the tree of `FaceletHandler` instances built by the Facelets compiler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeFaceletHandler(FaceletHandler[] children)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(FaceletContext ctx, UIComponent parent)` Calls apply on any child handlers.
    `FaceletHandler[]` | `getHandlers()` Returns the array of child handlers contained by this handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeFaceletHandler

          public CompositeFaceletHandler(FaceletHandler[] children)

  - ### Method Detail

    - #### apply

          public void apply(FaceletContext ctx,
                   UIComponent parent)
                     throws IOException

      Calls apply on any child handlers.

      Specified by:
        `apply` in interface `FaceletHandler`
      Parameters:
        `ctx` - the `FaceletContext` for this view execution
        `parent` - the parent `UIComponent` of the component represented by this element instance.
      Throws:
        `IOException` - if unable to load `relativePath`
      Since:
        2.0

    - #### getHandlers

          public FaceletHandler[] getHandlers()

      Returns the array of child handlers contained by this handler.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.